{
  "name": "shared",
  "$schema": "../../node_modules/nx/schemas/project-schema.json",
  "sourceRoot": "modules/shared/src",
  "prefix": "lib",
  "projectType": "library",
  "tags": [],
  "targets": {
    "build": {
      "executor": "@nx/angular:ng-packagr-lite",
      "outputs": ["{workspaceRoot}/dist/{projectRoot}"],
      "options": {
        "project": "modules/shared/ng-package.json"
      },
      "configurations": {
        "production": {
          "tsConfig": "modules/shared/tsconfig.lib.prod.json"
        },
        "development": {
          "tsConfig": "modules/shared/tsconfig.lib.json"
        }
      },
      "defaultConfiguration": "production"
    },
    "lint": {
      "executor": "@nx/eslint:lint"
    }
  }
}
